<?php
$ajax_url = isset($_POST['ajax_url']) ? esc_url_raw($_POST['ajax_url']) : '';

if(!function_exists('seo_rewriter_settings_page')) {
  // Implement the seo_rewriter_settings_page function to display the settings page.
  function seo_rewriter_settings_page() {
    $current_user = wp_get_current_user();
    $user_prompts = get_user_meta($current_user->ID, 'seo_rewriter_load_prompts', true);
    generate_header();      
    seo_rewriter_welcome_message();
    settings_fields('seo-rewriter-settings-group');
    do_settings_sections('seo-rewriter-settings-group');
  }
}

// if function exists
if (!function_exists('generate_header')) {
  function generate_header() {
    return '<div class="header-banner">
      <img src="https://seo-rewrite-plugin.plesk.graphylabs.com/wp-content/uploads/2023/03/LOGO-CHATGPTFORWORDPRESS-768x107.png" alt="OpenAI Logo" style="height: 40px; vertical-align: middle;">
    </div>';
  }
}

if(!function_exists('getOGHead')) {
  function getOGHead() {
    return '<head>
      <meta charset="UTF-8">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
      <title>Generator</title>
      <script src="https://cdn.tailwindcss.com"></script>
    </head>';
  }
}

if(!function_exists('generate_footer')) {
  function generate_footer() {
    return '<div class="footer-banner">
      <img src="https://seo-rewrite-plugin.plesk.graphylabs.com/wp-content/uploads/2023/03/LOGO-CHATGPTFORWORDPRESS-768x107.png" alt="OpenAI Logo" style="height: 40px; vertical-align: middle;">
    </div>';
  }
}

// if (!function_exists('getAdvancedSettings')) {
//   function getAdvancedSettings() {
//     if(is_subscription_active()) {
//       $modelFromOptions = get_option('seo_rewriter_model');
//       $creativity_level = get_option('seo_rewriter_creativity_level');
//       $seo_rewriter_title_length = get_option('seo_rewriter_title_length');
//       $seo_rewriter_content_length = get_option('seo_rewriter_content_length');
//       $seo_rewriter_keywords = get_option('seo_rewriter_keywords', '');
//       $seo_rewriter_tone = get_option('seo_rewriter_tone', '');
//       return [
//         'model' => get_option('seo_rewriter_model') || 'gpt-3.5-turbo-0301',
//         'creativity_level' => $creativity_level || 0.5,
//         'seo_rewriter_title_length' => $seo_rewriter_title_length || 5,
//         'seo_rewriter_content_length' => $seo_rewriter_content_length || 1500,
//         'seo_rewriter_keywords' => $seo_rewriter_keywords,
//         'seo_rewriter_tone' => $seo_rewriter_tone || 'formal'
//       ];
//     } else {
//       // Free version
//       return [
//         'model' => 'gpt-3.5-turbo-0301',
//         'creativity_level' => 0.5,
//         'seo_rewriter_title_length' => 5,
//         'seo_rewriter_content_length' => 1500,
//         'seo_rewriter_keywords' => '',
//         'seo_rewriter_tone' => 'formal'
//       ];
//     }
//   }
// }

if(!function_exists('encrypt_api_key')) {
  function encrypt_api_key($api_key) {
    // Define the encryption key and initialization vector
    $encryption_key = $_SERVER['HTTP_HOST'];
    $iv = 'best_initializat'; // Define the initialization vector as a constant

    // Encrypt the API key using AES-256-CBC algorithm
    $encrypted_api_key = openssl_encrypt($api_key, 'aes-256-cbc', $encryption_key, 0, $iv);

    // Combine the encrypted API key and initialization vector
    $encoded_data = base64_encode($encrypted_api_key . ':' . $iv);
    return $encoded_data;
  }
}

if(!function_exists('decrypt_api_key')) {
  function decrypt_api_key($encrypted_data) {
    // Define the encryption key and initialization vector
    $encryption_key = $_SERVER['HTTP_HOST'];
    $iv = 'best_initializat'; // Define the initialization vector as a constant

    // Split the encoded data into the encrypted API key and initialization vector
    $decoded_data = base64_decode($encrypted_data);
    list($encrypted_api_key, $encoded_iv) = explode(':', $decoded_data);

    // Decrypt the API key using AES-256-CBC algorithm and the fixed initialization vector
    $decrypted_api_key = openssl_decrypt($encrypted_api_key, 'aes-256-cbc', $encryption_key, 0, $iv);

    return $decrypted_api_key;
  }
}