<?php
  // Genrate content
  add_action('wp_ajax_seo_rewriter_generate_content', 'wp_ajax_seo_rewriter_generate_content');
  function wp_ajax_seo_rewriter_generate_content() {
  
    $text = stripslashes($_POST['text']);
    $context = stripslashes($_POST['context']);
    $language = $_POST['language'];

    if(isset($language)) {
      update_option('seo_rewriter_openai_language', $language);
    }

    if(isset($context)) {
      update_option('seo_rewriter_openai_context', $context);
    }
    $api_key = decrypt_api_key(get_option('seo_rewriter_openai_api_key'));
  
    if(isset($_POST['promptText'])){
      $promptText = $_POST['promptText'];
    }
    // wp_send_json_success($promptText);
    $response = openai_rewrite($text, $api_key, $promptText);
    // wp_send_json_success($response);
    if(!$response) {
      wp_send_json_error('Empty response !');
    } else {
      if(isset($response['status']) && $response['status'] === 'error') {
          wp_send_json_error($response['message']);
      }
      wp_send_json_success($response);
    }
    wp_die();
  }

  // Create a new post type
add_action('wp_ajax_create_new_post', 'create_new_post'); 

function create_new_post() {
  try {
    $title = $_POST['title'];
    $content = $_POST['content'];
    $post_types = $_POST['post_type'];

    // Check if post type is post or page
    if ($post_types === 'post') {
      $post_data = array(
        'post_title' => $title,
        'post_content' => $content,
        'post_status' => 'draft',
        'post_author' => get_current_user_id(),
        'post_type' => 'post'
      );
    } elseif ($post_types === 'page') {
      $post_data = array(
        'post_title' => $title,
        'post_content' => $content,
        'post_status' => 'draft',
        'post_author' => get_current_user_id(),
        'post_type' => 'page'
      );
    } elseif ($post_types === 'product') {
      $post_data = array(
        'post_title' => $title,
        'post_content' => $content,
        'post_status' => 'draft',
        'post_author' => get_current_user_id(),
        'post_type' => 'product'
      );
    } else {
      wp_send_json_error(array('message' => 'Invalid post type'));
    }
  
    // wp_send_json_success($post_data);
    
    $post_id = wp_insert_post($post_data);
    if ($post_id) {
      wp_send_json_success(array('post_id' => $post_id));
    } else {
      wp_send_json_error(array('message' => 'Failed to create new post'));
    }
  } catch (Exception $e) {
    wp_send_json_error(array('message' => $e->getMessage()));
  }
}