<?php
  require_once( plugin_dir_path( dirname( __FILE__ ) ) . 'functions.php' );
  $contentLength = is_subscription_active() ? get_option('seo_rewriter_content_length') : 500;
?>
<?=getOGHead();?>
<?=generate_header();?>
<div class="relative isolate overflow-hidden bg-white py-24 sm:py-12 -ml-5">
  <div
    class="absolute -top-80 left-[max(6rem,33%)] -z-10 transform-gpu blur-3xl sm:left-1/2 md:top-20 lg:ml-20 xl:top-3 xl:ml-56"
    aria-hidden="true">
    <div class="aspect-[801/1036] w-[50.0625rem] bg-gradient-to-tr from-[#ff80b5] to-[#9089fc] opacity-30"
      style="clip-path: polygon(63.1% 29.6%, 100% 17.2%, 76.7% 3.1%, 48.4% 0.1%, 44.6% 4.8%, 54.5% 25.4%, 59.8% 49.1%, 55.3% 57.9%, 44.5% 57.3%, 27.8% 48%, 35.1% 81.6%, 0% 97.8%, 39.3% 100%, 35.3% 81.5%, 97.2% 52.8%, 63.1% 29.6%)">
    </div>
  </div>

  <!-- LOADER -->
  <?=displayLoader();?>

  <div class="mx-auto px-6 lg:px-8">
    <div class="mx-auto max-w-2xl lg:mx-0">
      <h1 class="text-lg font-semibold leading-8 tracking-tight text-blue-600">Generate new content</h1>
      <p class="mt-2 text-xl font-base tracking-tight text-gray-900 sm:text-lg">Describe your business and a
        general topic for generating a new SEO post.<br>ChatGPT for WordPress will suggest new <span
          class="font-bold">titles</span>
        ideas
        about any <span class="font-bold">topic</span> knowing your own <span
          class="font-bold">context</span>.<br>Choose the number
        of sections and generate the
        content, section per section, then, save as a draft in your favorite post type.</p>
    </div>
    <div
      class="mx-auto mt-16 grid max-w-2xl grid-cols-1 gap-x-8 gap-y-16 lg:mx-0 lg:mt-10 lg:max-w-none xs:grid-cols-12 lg:grid-cols-12">
      <div class="relative lg:order-last lg:col-span-6">
        <svg
          class="absolute -top-[40rem] left-1 -z-10 h-[64rem] w-[175.5rem] -translate-x-1/2 stroke-gray-900/10 [mask-image:radial-gradient(64rem_64rem_at_111.5rem_0%,white,transparent)]"
          aria-hidden="true">
          <defs>
            <pattern id="e87443c8-56e4-4c20-9111-55b82fa704e3" width="200" height="200" patternUnits="userSpaceOnUse">
              <path d="M0.5 0V200M200 0.5L0 0.499983" />
            </pattern>
          </defs>
          <rect width="100%" height="100%" stroke-width="0" fill="url(#e87443c8-56e4-4c20-9111-55b82fa704e3)" />
        </svg>
        <figure class="border-l border-blue-600 pl-8">
          <div id="generated-content" class="flex flex-col">
            <h3 class="text-lg font-semibold leading-8 tracking-tight text-blue-600">Step 1: Title</h3>
            <textarea disabled name="seo_rewriter_generate_title_box" id="seo_rewriter_generate_title_box" cols="100"
              rows="3"
              class="disabled:bg-gray-500 block p-2.5 w-full text-sm text-white bg-gray-50 rounded-lg border border-gray-300 focus:ring-blue-500 focus:border-blue-500 bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
                  </textarea>
            <div class="flex flex-row justify-between items-center my-2">
              <div class="flex items-center">
                <button disabled id="seo_rewriter_regenerate_title"
                  class="disabled:opacity-25 inline-flex items-center">
                  <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5"
                    stroke="currentColor" class="w-6 h-6">
                    <path stroke-linecap="round" stroke-linejoin="round"
                      d="M16.023 9.348h4.992v-.001M2.985 19.644v-4.992m0 0h4.992m-4.993 0l3.181 3.183a8.25 8.25 0 0013.803-3.7M4.031 9.865a8.25 8.25 0 0113.803-3.7l3.181 3.182m0-4.991v4.99" />
                  </svg>
                  <span class="ml-1">
                    Reload
                  </span>
                </button>
              </div>
              <div class="flex flex-row justify-between items-center">
                <span class="font-light mr-1"># of sections</span>
                <?php if (is_subscription_active()) { ?>
                <select name="section_number" id="section_number" class="mr-2">
                  <option value="2">2</option>
                  <option value="3">3</option>
                  <option value="4">4</option>
                  <option value="6">6</option>
                  <option value="8">8</option>
                  <option value="10">10</option>
                  <option value="12">12</option>
                </select>
                <?php } else { ?>
                <div class="tooltip">
                  <select name="section_number" id="section_number" class="mr-2" disabled>
                    <option value="2">2</option>
                  </select>
                  <span class="tooltiptext">This option is only available for Premium users</span>
                </div>
                <?php } ?>
                <button disabled
                  class="disabled:opacity-25 inline-flex items-center self-end rounded-md bg-blue-600 px-2 py-2 text-sm font-normal text-white shadow-sm hover:bg-blue-500 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-blue-600"
                  type="button" id="seo_rewriter_create_sections">Create Sections
                  <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="3"
                    stroke="currentColor" class="w-6 h-4">
                    <path stroke-linecap="round" stroke-linejoin="round"
                      d="M15.75 17.25L12 21m0 0l-3.75-3.75M12 21V3" />
                  </svg>
                </button>
              </div>
            </div>

            <h3 class="text-lg font-semibold leading-8 tracking-tight text-blue-600">Step 2: Sections</h3>
            <textarea disabled name="seo_rewriter_create_sections_area" id="seo_rewriter_create_sections_area"
              cols="100" rows="4"
              class="disabled:bg-gray-500 block p-2.5 w-full text-sm text-white bg-gray-50 rounded-lg border border-gray-300 focus:ring-blue-500 focus:border-blue-500 bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500">
                  </textarea>
            <div class="flex flex-row justify-between items-center my-2">
              <div class="flex items-center">
                <button disabled id="seo_rewriter_regenerate_sections"
                  class="disabled:opacity-25 inline-flex items-center">
                  <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5"
                    stroke="currentColor" class="w-6 h-6">
                    <path stroke-linecap="round" stroke-linejoin="round"
                      d="M16.023 9.348h4.992v-.001M2.985 19.644v-4.992m0 0h4.992m-4.993 0l3.181 3.183a8.25 8.25 0 0013.803-3.7M4.031 9.865a8.25 8.25 0 0113.803-3.7l3.181 3.182m0-4.991v4.99" />
                  </svg>
                  <span class="ml-1">
                    Reload
                  </span>
                </button>
              </div>
              <div class="flex flex-row justify-between items-center">
                <span class="font-light mr-1"># of paragraphs per section</span>
                <?php if (is_subscription_active()) { ?>
                <select name="paragraph_number" id="paragraph_number" class="mr-2">
                  <option value="1">1</option>
                  <option value="2" selected>2</option>
                  <option value="3">3</option>
                  <option value="4">4</option>
                  <option value="5">5</option>
                </select>
                <?php } else { ?>
                <div class="tooltip">
                  <select name="paragraph_number" id="paragraph_number" class="mr-2" disabled>
                    <option value="2">2</option>
                  </select>
                  <span class="tooltiptext">This option is only available for Premium users</span>
                </div>
                <?php } ?>
                <button disabled
                  class="disabled:opacity-25 inline-flex items-center self-end rounded-md bg-blue-600 px-2 py-2 text-sm font-normal text-white shadow-sm hover:bg-blue-500 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-blue-600"
                  type="button" id="seo_rewriter_create_content">Create Content
                  <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="3"
                    stroke="currentColor" class="w-6 h-4">
                    <path stroke-linecap="round" stroke-linejoin="round"
                      d="M15.75 17.25L12 21m0 0l-3.75-3.75M12 21V3" />
                  </svg>
                </button>
              </div>
            </div>

            <h3 class="text-lg font-semibold leading-8 tracking-tight text-blue-600">Step 3: Content</h3>
            <input type="hidden" name="content_length" id="content_length" value="<?=$contentLength?>">
            <textarea disabled name="seo_rewriter_generate_content_box" id="seo_rewriter_generate_content_box"
              cols="100" rows="10"
              class="disabled:bg-gray-500 block p-2.5 w-full text-sm text-white bg-gray-50 rounded-lg border border-gray-300 focus:ring-blue-500 focus:border-blue-500 bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"></textarea>
          </div>

          <div class="flex items-center my-4">
            <button disabled id="seo_rewriter_regenerate_content" class="disabled:opacity-25 inline-flex items-center">
              <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5"
                stroke="currentColor" class="w-6 h-6">
                <path stroke-linecap="round" stroke-linejoin="round"
                  d="M16.023 9.348h4.992v-.001M2.985 19.644v-4.992m0 0h4.992m-4.993 0l3.181 3.183a8.25 8.25 0 0013.803-3.7M4.031 9.865a8.25 8.25 0 0113.803-3.7l3.181 3.182m0-4.991v4.99" />
              </svg>
              <span class="ml-1">
                Reload
              </span>
            </button>
          </div>

          <div class="flex justify-between items-center">
            <div>
              <h5 class="mt-2 text-xl font-bold tracking-tight text-gray-900 sm:text-xl">Consumed tokens : <span
                  id="consumed_tokens">0</span></h5>
              <a href="https://chatgpt-wordpress.opengraphy.com/category/openai-api-token-management/" target="_blank"
                class="inline-flex items-center font-medium text-blue-600 dark:text-blue-500 hover:underline">OpenAI API
                &
                Token Management
                <svg aria-hidden="true" class="w-5 h-5 ml-1" fill="currentColor" viewBox="0 0 20 20"
                  xmlns="http://www.w3.org/2000/svg">
                  <path fill-rule="evenodd"
                    d="M12.293 5.293a1 1 0 011.414 0l4 4a1 1 0 010 1.414l-4 4a1 1 0 01-1.414-1.414L14.586 11H3a1 1 0 110-2h11.586l-2.293-2.293a1 1 0 010-1.414z"
                    clip-rule="evenodd"></path>
                </svg></a>
            </div>

            <div>

              <select name="selected_post_type" id="selected_post_type" class="mr-4"
                style="padding:10px; padding-right:20px;">
                <?php 
                  $post_types = get_post_types( array('public' => true, 'show_in_menu' => true ), 'objects' );
                  foreach ( $post_types as $post_type ) {
                    if ( $post_type->name == 'post' || $post_type->name == 'page' || $post_type->name == 'product'){
                      echo '<option value="'.$post_type->name.'">'.$post_type->label.'</option>';
                    }
                  }
                  ?>
              </select>
              <input type="hidden" name="post_type" id="post-type-input" value="post">
              <button disabled type="button" id="build-content-button"
                class="disabled:opacity-25 rounded-md bg-blue-600 px-6 py-5 text-sm font-semibold text-white shadow-sm hover:bg-blue-500 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-blue-600">Save
                as Draft</button>

            </div>

          </div>
        </figure>
      </div>
      <div class="max-w-xl leading-7 text-gray-700 lg:col-span-5">
        <h2 class="text-lg font-semibold leading-8 tracking-tight text-blue-600">Context</h2>
        <p class="text-lg font-light leading-8 tracking-tight text-gray-400">Describe your business and your
          main
          products & services.</p>
        <?php
        $seo_description = get_post_meta(get_option('page_on_front'), '_yoast_wpseo_metadesc', true);
        ?>
        <textarea name="seo_context" id="seo_context" cols="30" rows="2"
          class="block p-2.5 w-full text-sm text-white bg-gray-50 rounded-lg border border-gray-300 focus:ring-blue-500 focus:border-blue-500 bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
          placeholder="<?php echo $seo_description ? $seo_description : 'I sell icecreams in New York, my company name is New-0ce ...'; ?>"><?=get_option('seo_rewriter_openai_context');?></textarea>
        <h2 class="mt-6 text-lg font-semibold leading-8 tracking-tight text-blue-600">Language</h2>
        <?php 
               $language = get_option('seo_rewriter_openai_language');
               if (is_subscription_active()) {
            ?>
        <select id="seo-language" name="language">
          <option value="">Select a language</option>
          <option value="en" <?php if ($language == 'en') echo 'selected'; ?>>English</option>
          <option value="es" <?php if ($language == 'es') echo 'selected'; ?>>Spanish</option>
          <option value="fr" <?php if ($language == 'fr') echo 'selected'; ?>>French</option>
          <option value="de" <?php if ($language == 'de') echo 'selected'; ?>>German</option>
          <option value="it" <?php if ($language == 'it') echo 'selected'; ?>>Italian</option>
          <option value="pt" <?php if ($language == 'pt') echo 'selected'; ?>>Portuguese</option>
          <option value="bg" <?php if ($language == 'bg') echo 'selected'; ?>>Bulgarian</option>
          <option value="ro" <?php if ($language == 'ro') echo 'selected'; ?>>Romanian</option>
          <option value="el" <?php if ($language == 'el') echo 'selected'; ?>>Greek</option>
          <option value="hu" <?php if ($language == 'hu') echo 'selected'; ?>>Hungarian</option>
          <option value="zh" <?php if ($language == 'zh') echo 'selected'; ?>>Chinese</option>
          <option value="ja" <?php if ($language == 'ja') echo 'selected'; ?>>Japanese</option>
        </select>
        <?php } else { ?>
        <div class="tooltip">
          <select id="seo-language" name="language" disabled>
            <option value="">Select a language</option>
          </select>
          <span class="tooltiptext">This option is only available for Premium users</span>
        </div>
        <?php } ?>
        <h2 class="mt-6 text-lg font-semibold leading-8 tracking-tight text-blue-600">Topic</h2>
        <p class="text-lg font-light leading-8 tracking-tight text-gray-400">Enter the main topic for your new post
        </p>
        <textarea name="seo_generate_content_all" id="seo_generate_content_all" cols="30" rows="6"
          class="block p-2.5 w-full text-sm text-white bg-gray-50 rounded-lg border border-gray-300 focus:ring-blue-500 focus:border-blue-500 bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
          placeholder="Plant-based ice creams ... "></textarea>
        <button
          class="mt-6 rounded-md bg-blue-600 px-6 py-5 text-sm font-semibold text-white shadow-sm hover:bg-blue-500 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-blue-600"
          type="button" id="seo_rewriter_generate_content">Generate</button>
        <div style="display:none; position:absolute;" id="error"
          class="bg-red-100 border border-red-400 text-red-700 px-4 py-3 mt-4 rounded max-w-2xl" role="alert">
        </div>
      </div>
    </div>
  </div>
</div>