jQuery(document).ready(function($) {
  $('#seo_rewriter_generate_content').click(function() {
    showLoader(); // show the loader
    const text = $('#seo_generate_content_all').val();
    generate('title', text);
    // generate('content', text);
  });

  // REGENERATE TITLE : seo_rewriter_regenerate_title 
  $('#seo_rewriter_regenerate_title').click(function() {
    showLoader(); // show the loader
    const text = $('#seo_generate_content_all').val();
    const previous = $('#seo_rewriter_generate_title_box').val();
    generate('title', text, previous);
  });

  // Retrieve the number of desired sections and generate them
  $('#seo_rewriter_create_sections').click(function() {
    showLoader(); // show the loader
    const text = $('#seo_rewriter_generate_title_box').val();
    generate('sections', text);
  });  
  
  // REGENERATE Sections : seo_rewriter_regenerate_section
  $('#seo_rewriter_regenerate_sections').click(function() {
    showLoader(); // show the loader
    const text = $('#seo_rewriter_generate_title_box').val();
    const previous = $('#seo_rewriter_create_sections_area').val();
    generate('sections', text, previous);
  });  
  

  // Generate content
  $('#seo_rewriter_create_content').click(function() {
    showLoader(); // show the loader
    const text = $('#seo_rewriter_create_sections_area').val();
    generate('content', text);
  });

  // REGENERATE content
  $('#seo_rewriter_regenerate_content').click(function() {
    showLoader(); // show the loader
    const text = $('#seo_rewriter_create_sections_area').val();
    generate('content', text);
  });

  // Retrieve the number of desired sections and generate them
  let numberOfSections;
  $('#section_number').change(function() {
    numberOfSections = $(this).val();
  });

  function getSEOContext() {
    return $('#seo_context').val();
  }

  function getLanguage() {
    return $('#seo-language').find(":selected").val();
  }

  function getNumberOfSections() {
    return $('#section_number').find(":selected").val();
  }

  function getTitle() {
    return $('#seo_rewriter_generate_title_box').val();
  }

  function getParagraphs() {
    return $('#paragraph_number').find(":selected").val();
  }
  
// Check and enable the section and content areas if the title is generated
  function generate(type, topic, previous = '', lang = seo_rewriter.current_language) {
    let query;
    let context = getSEOContext();
    let stringContext;
    let selectedLanguage = getLanguage() || lang;
    let numberOfSections = getNumberOfSections() || 2;
    let contentParagraphs = getParagraphs() || 2;
    let language;

    if (selectedLanguage !== '') {
      language = 'in language ' + selectedLanguage;
    }
    if (previous !== '') {
      previous = ' and different text than "' + previous + '"';
    }

    if(context !== '') {
      stringContext = '. Taking into account the following context "' + context + '"';
    }

    // TODO: Generate only title at first
    if(type === 'title') {
      query = 'Give me 1 article idea given the context: ###' + stringContext + '### and write in this language:###' + language + '###. Take also into account this topic: ###' + topic + '###. Answer only with the article idea, no comment nor quotes. Write only a title of 60 characters maximum.';
    }

    if(type === 'sections') {
      query = 'Give me ' + numberOfSections + ' distinct and complementary section names to write this article: ###' + topic + '###. Answer only with the article section names, no comment, numering nor quotes' + '### and write in this language:###' + language;
    }

    if(type === 'content') {
      let title = getTitle() || 'Comment Ademeure construit des Maisons en Bois durables dans le Sud-Ouest.';
      let content_length = $('#content_length').val();
      query = 'Write the html encoded (with html tags) content of this article (without the title and head or body, just the content, no title for conclusion or introduction, using H2 headings for sections and H3 subheadings for subsections.' + topic + '.'  + contentParagraphs + ' paragraph per section with H3 subheadings. Add an introduction and conclusion paragraph.' + '### and write in this language:###' + language;
    }

    let data = {
      'action': 'seo_rewriter_generate_content',
      'text': query,
      'context': context,
      'language': selectedLanguage
    };
    
    const ajaxurl = seo_rewriter.ajax_url;
    $.post(ajaxurl, data, function(response) {
      console.log({response});
      // TODO : generate only title at first
      if (type === 'title') {
        $('#seo_rewriter_generate_title_box').val(response.data.generated_text);
        $('#seo_rewriter_generate_title_box').removeAttr('disabled');
        $('#seo_rewriter_create_sections').prop('disabled', false);
        $('#seo_rewriter_regenerate_title').prop('disabled', false);
        
      }
      if (type === 'sections') {
        $('#seo_rewriter_create_sections_area').val(response.data.generated_text);
        $('#seo_rewriter_create_sections_area').removeAttr('disabled');
        $('#seo_rewriter_create_content').prop('disabled', false);
        $('#seo_rewriter_regenerate_sections').prop('disabled', false);
      }
      
      if (type === 'content') {
        $('#seo_rewriter_generate_content_box').val(response.data.generated_text);
        $('#seo_rewriter_generate_content_box').removeAttr('disabled')
        $('#seo_rewriter_regenerate_content').prop('disabled', false);
        $('#build-content-button').prop('disabled', false);
      }

      // Update consumed tokens
      hideLoader(); // hide the loader
      $('#consumed_tokens').html(response.data.n_generated_tokens_total);

    })
    .fail(function(xhr, textStatus, errorThrown) {
      hideLoader(); // hide the loader
      $('#error').html('Error ' + xhr.status + "\n" + xhr.responseText);
      $('#error').css('display', 'block');
    });
  }


  //Todo add ajax build content button
  $('#build-content-button').click(function() {
    buildContent();
  });

  let selectedPostType;
  $('#selected_post_type').change(function() {
    selectedPostType = $(this).val();
    $('#post-type-input').val(selectedPostType);
  })

  // Create a function that post content
  function buildContent() {
    // retrieve the content from title text area
    const title = $('#seo_rewriter_generate_title_box').val();
    
    // retrieve the content from content text area
    const content = $('#seo_rewriter_generate_content_box').val();
 
    // Send AJAX request to create a new post
    $.ajax({
      url: seo_rewriter.ajax_url,
      type: 'POST',
      data: {
        'action': 'create_new_post',
        'title': title,
        'content': content,
        'post_type': selectedPostType || 'post'
      },
      success: function(response) {
        alert('Post created successfully');
        // window.location.href = response.redirect_url;
      },
      error: function(xhr, status, error) {
        // console.log(xhr.responseText);
        alert('Error creating post');
      }
    });
  }
});