jQuery(document).ready(function ($) {
  $('#submit-api-key').click(function (e) {
    e.preventDefault();
    const data = {
      action: "seo_rewriter_submit_api_key",
      data: $('#seo_rewriter_api_key').serialize(),
    }
    $.post(seo_rewriter.ajax_url, data, function (response) {
      if (response.success) {
        alert('Api key saved successfully');
      }
    });
  });

  $('#submit-advanced-settings').click(function (e) {
    e.preventDefault();
    const data = {
      action: "seo_rewriter_submit_advanced_settings",
      data: $('#seo_rewriter_advanced_settings').serialize(),
    }

    $.post(seo_rewriter.ajax_url, data, function (response) {
      if (response.success) {
        alert('Settings saved successfully');
      }
    });
  });

  let delete_prompts = document.querySelectorAll(".delete-prompt");
    delete_prompts.forEach(function(delete_prompt) {
      delete_prompt.addEventListener("click", function() {
        const type = this.dataset.type;
        const prompt_id = this.dataset.promptId;

        const data = {
          action: "seo_rewriter_delete_prompt",
          type: type,
          prompt_id: prompt_id,
        }

        $.post(seo_rewriter.ajax_url, data, function (response) {
          if (response.success) {
            // remove prompt from DOM
            delete_prompt.parentNode.remove();
          }
        });
      });
    });

    let title_prompts_save_button = document.getElementById("seo_rewriter_save_title_prompt");
    if(title_prompts_save_button ) {
      title_prompts_save_button.addEventListener("click", function() {
        save_prompt("title");
      });
    }

    let content_prompts_save_button = document.getElementById("seo_rewriter_save_content_prompt");
    if(content_prompts_save_button) {
      content_prompts_save_button .addEventListener("click", function() {
        save_prompt("content");
      });
    }

    function save_prompt(type) {
      let prompt_text = document.getElementById("seo_rewriter_" + type + "_prompt").value;
      // if (!prompt_text) return;
      
      const data = {
        action: "seo_rewriter_save_prompt",
        type: type,
        prompt: prompt_text,
      }

      $.post(seo_rewriter.ajax_url, data, function (response) {
        if (response.success) {
          document.getElementById("seo_rewriter_" + type + "_prompt").value = "";
          let option = document.createElement('option');
          location.reload()
        }
      });
    }

    $('#submit-license-key').click(function (e) {
      e.preventDefault();
      
      const data = {
        action: "seo_rewriter_submit_license_key",
        data: $('#chat_gpt_license_key').serialize(),
      }

      $.post(seo_rewriter.ajax_url, data, function (response) {
        if (response.success) {
          alert('License key saved successfully');
        }
      });
    });
});