<?php
// Add an AJAX action to handle the server-side rewriting process:
add_action('wp_ajax_seo_rewriter_rewrite', 'seo_rewriter_ajax_callback');

function seo_rewriter_ajax_callback() {
  // check_ajax_referer('seo_rewriter_nonce', 'security');

  $post_id = intval($_POST['post_id']);
  $type = sanitize_text_field($_POST['type']);
  $promptText = $_POST['promptText'];

  if (!current_user_can('edit_post', $post_id)) {
    wp_send_json_error('Access denied.');
  }

  $api_key = decrypt_api_key(get_option('seo_rewriter_openai_api_key'));
  if (!empty($api_key)) {
    // Display token count
    $response = wp_remote_get('https://api.openai.com/v1/usage', array(
      'headers' => array(
        'Content-Type' => 'application/json',
        'Authorization' => 'Bearer ' . $api_key
      ),
    ));
    
    if (!is_wp_error($response) && ($response['response']['code'] === 200)) {
      $body = json_decode($response['body'], true);
      $tokens_used = $body['data'][0]['value'];
      $tokens_remaining = $body['data'][1]['value'];
      // Display token count
    }
  }

  $response = '';

  if ($type === 'title') {
    $title = get_the_title($post_id);
    $response = openai_rewrite($title, $api_key, $promptText, $length = 10);
    
    // TODO : update seo_rewriter_title_length with the input title length from the user
    parse_str($_POST['data'], $data);

    // TODO fix bug : Undefined array key "data" when rewrite title
    mb_substr($data['seo_rewriter_title_length'], $data['seo_rewriter_title_length']);

    if (strpos($key, 'seo_rewriter_title_length') !== false) {
      update_option($key, $value);
    }
    wp_send_json_success($response);
  } elseif ($type === 'content') {
    // $content = get_post_field('post_content', $post_id);
    // $query = get_post($post_id); 
    // $content = apply_filters('the_content', $query->post_content);
    $response = openai_rewrite($content, $api_key, $promptText, $length = 1000);

    // TODO : update seo_rewriter_content_length with the input content length from the user
    parse_str($_POST['data'], $data);

    // TODO fix bug : Undefined array key "data" when rewrite title
    // substr_count($data['seo_rewriter_content_length'], $data['seo_rewriter_content_length']);

    if (strpos($key, 'seo_rewriter_content_length') !== false) {
      update_option($key, $value);
    }
    wp_send_json_success($response);
  } else {
    wp_send_json_error('Invalid request.');
  }

  wp_send_json_success($response);
}