<?=getOGHead();?>
<?=generate_header();?>

<form method="post" id="seo_rewriter_advanced_settings" action="#">
  <?php settings_fields('seo-rewriter-settings-group'); ?>
  <?php do_settings_sections('seo-rewriter-settings-group'); ?>


  <?php
    if (is_subscription_active()) {
    ?>
  <div class="relative isolate overflow-hidden bg-white py-24 sm:py-12 -ml-5">
    <div class="mx-auto px-6 lg:px-8">
      <div class="mx-auto max-w-2xl lg:mx-0">
        <h1 class="text-lg font-semibold leading-8 tracking-tight text-blue-600">Advanced Settings</H1>
        <p class="mt-2 text-xl font-base tracking-tight text-gray-900 sm:text-xl">Here you can control the results of
          the API by adapting all the parameters for your prompt. This will influence the response. Like a professional
          developer, you can play with results and manage your token consumption.</p>
      </div>
      <div
        class="mx-auto mt-16 grid max-w-2xl grid-cols-1 gap-x-8 gap-y-16 lg:mx-0 lg:mt-10 lg:max-w-none lg:grid-cols-12">
        <div class="relative lg:order-last lg:col-span-5">
          <svg
            class="absolute -top-[40rem] left-1 -z-10 h-[64rem] w-[175.5rem] -translate-x-1/2 stroke-gray-900/10 [mask-image:radial-gradient(64rem_64rem_at_111.5rem_0%,white,transparent)]"
            aria-hidden="true">
            <defs>
              <pattern id="e87443c8-56e4-4c20-9111-55b82fa704e3" width="200" height="200" patternUnits="userSpaceOnUse">
                <path d="M0.5 0V200M200 0.5L0 0.499983" />
              </pattern>
            </defs>
            <rect width="100%" height="100%" stroke-width="0" fill="url(#e87443c8-56e4-4c20-9111-55b82fa704e3)" />
          </svg>
        </div>
        <div class="max-w-xl text-base leading-7 text-gray-700 lg:col-span-7">
          <div id="model">
            <label for="seo_rewriter_model" class="block text-sm font-medium leading-6 text-gray-900">
              Model
              <span class="tooltip-right">
                ⓘ
                <span class="right">The model parameter determines which GPT-3 model will be used for content
                  generation. In this case, "gpt-3.5-turbo" refers to OpenAI's most powerful GPT-3 model,
                  gpt-3.5-turbo.</span>
              </span>
            </label>
            <select id="seo_rewriter_model" name="seo_rewriter_model"
              class="mt-2 block w-full min-w-full rounded-md border-1 py-1.5 pl-3 pr-10 text-gray-900 ring-1 ring-inset ring-gray-300 focus:ring-2 focus:ring-blue-600 sm:text-sm sm:leading-6">
              <option value="gpt-3.5-turbo-0301" <?= get_option('seo_rewriter_model') == 'gpt-3.5-turbo-0301' ? 'selected="selected"' : ''; ?>>GPT 3.5</option>
              <option value="gpt-3.5-turbo-16k" <?= get_option('seo_rewriter_model') == 'gpt-3.5-turbo-16k' ? 'selected="selected"' : ''; ?>>GPT 3.5 16k</option>
              <option value="gpt-4-0613" <?= get_option('seo_rewriter_model') == 'gpt-4-0613' ? 'selected="selected"' : ''; ?>>GPT 4</option>
              <?php
                // echo '<option value="gpt-3.5-turbo-0301" ' . selected(get_option('seo_rewriter_model'), 'gpt-3.5-turbo', true) . '>GPT 3.5</option>';
                // echo '<option value="gpt-4-0613" ' . selected(get_option('seo_rewriter_model'), 'gpt-4', true) . '>GPT 4</option>';
                // echo '<option value="text-davinci-002" ' . selected(get_option('seo_rewriter_model', 'text-davinci-002'), 'text-davinci-002', true) . '>text-davinci-002</option>';
                // echo '<option value="davinci" ' . selected(get_option('seo_rewriter_model', 'davinci'), 'davinci', true) . '>Davinci</option>';
                // echo '<option value="curie" ' . selected(get_option('seo_rewriter_model', 'curie'), 'curie', false) . '>Curie</option>';
                // echo '<option value="babbage" ' . selected(get_option('seo_rewriter_model', 'babbage'), 'babbage', false) . '>Babbage</option>';
                // echo '<option value="ada" ' . selected(get_option('seo_rewriter_model', 'ada'), 'ada', false) . '>Ada</option>';
                ?>
            </select>
          </div>
          <div id="advanced_options" class="advanced_options" style="margin-top: 10px;">
            <!-- Creativity level -->
            <div class="mt-5">
              <label for="seo_rewriter_creativity_level" class="block text-sm font-medium leading-6 text-gray-900">
                Creativity Level (0.1 - 1.0)
                <span class="tooltip-right">
                  ⓘ
                  <span class="right">This parameter, also known as "temperature," affects the randomness of the
                    generated content. A lower value (e.g., 0.1) will produce more focused and deterministic output,
                    while a higher value (e.g., 1.0) will result in more diverse and creative content.</span>
                </span>
              </label>
              <div class="relative mt-1 rounded-md shadow-sm">
                <input type="number" id="seo_rewriter_creativity_level" name="seo_rewriter_creativity_level"
                  class="block w-full rounded-md border-0 py-1.5 pl-7 pr-12 text-gray-900 ring-1 ring-inset ring-gray-300 placeholder:text-gray-400 focus:ring-2 focus:ring-inset focus:ring-blue-600 sm:text-sm sm:leading-6"
                  value="<?= esc_attr(get_option('seo_rewriter_creativity_level', '0.5')); ?>" min="0.1" max="1"
                  step="0.1" aria-describedby="creativity-range">
              </div>
            </div>
            <!-- Content length for title -->
            <div class="mt-5">
              <label for="seo_rewriter_title_length" class="block text-sm font-medium leading-6 text-gray-900">
                Title Length (in words)
                <span class="tooltip-right">
                  ⓘ
                  <span class="right">This parameter specifies the desired length of the generated title, in words. In
                    this example, the title length is set to 10 words.</span>
                </span>
              </label>
              <div class="relative mt-1 rounded-md shadow-sm">
                <input type="number" id="seo_rewriter_title_length" name="seo_rewriter_title_length"
                  value="<?= esc_attr(get_option('seo_rewriter_title_length', '10'));  ?>" min="1" step="1"
                  class="block w-full rounded-md border-0 py-1.5 pl-7 pr-12 text-gray-900 ring-1 ring-inset ring-gray-300 placeholder:text-gray-400 focus:ring-2 focus:ring-inset focus:ring-blue-600 sm:text-sm sm:leading-6"
                  value="<?= esc_attr(get_option('seo_rewriter_creativity_level', '0.5')); ?>" min="0.1" max="1"
                  step="0.1" aria-describedby="creativity-range">
              </div>
            </div>

            <!-- Content length for content -->
            <div class="mt-5">
              <label for="seo_rewriter_content_length" class="block text-sm font-medium leading-6 text-gray-900">
                Content Length (in words)
                <span class="tooltip-right">
                  ⓘ
                  <span class="right">This parameter specifies the desired length of the generated content, in words. In
                    this example, the content length is set to 1000 words.</span>
                </span>
              </label>
              <div class="relative mt-1 rounded-md shadow-sm">
                <input type="number" id="seo_rewriter_content_length" name="seo_rewriter_content_length"
                  value="<?= esc_attr(get_option('seo_rewriter_content_length', '1000'))  ?>" min="1" step="1"
                  class="block w-full rounded-md border-0 py-1.5 pl-7 pr-12 text-gray-900 ring-1 ring-inset ring-gray-300 placeholder:text-gray-400 focus:ring-2 focus:ring-inset focus:ring-blue-600 sm:text-sm sm:leading-6"
                  value="<?= esc_attr(get_option('seo_rewriter_creativity_level', '0.5')); ?>" min="0.1" max="1"
                  step="0.1" aria-describedby="creativity-range">
              </div>
            </div>
            <!-- Tone -->
            <div class="mt-5">
              <label for="seo_rewriter_tone" class="block text-sm font-medium leading-6 text-gray-900">
                Tone
                <span class="tooltip-right">
                  ⓘ
                  <span class="right">The tone parameter helps set the overall mood or attitude of the generated
                    content. Examples of tones include "formal," "casual," "enthusiastic," or "informative." By
                    specifying a desired tone, you can influence the style of writing the model will produce.</span>
                </span>
              </label>
              <div class="relative mt-1 rounded-md shadow-sm">
                <select id="seo_rewriter_tone" name="seo_rewriter_tone"
                  class="mt-2 block w-full min-w-full rounded-md border-1 py-1.5 pl-3 pr-10 text-gray-900 ring-1 ring-inset ring-gray-300 focus:ring-2 focus:ring-blue-600 sm:text-sm sm:leading-6">
                  <?php
                  $selected_tone = get_option('seo_rewriter_tone', 'informative');
                  foreach (array('formal', 'casual', 'persuasive', 'informative') as $tone) {
                      echo '<option value="' . esc_attr($tone) . '"' . selected($selected_tone, $tone, false) . '>' . ucfirst($tone) . '</option>';
                  }
                  ?>
                </select>
              </div>
              <div class="submit">
                <input type="submit" name="submit" id="submit-advanced-settings"
                  class="hover:cursor-pointer rounded-md bg-blue-600 px-3.5 py-2.5 text-sm font-semibold text-white shadow-sm hover:bg-blue-500 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-blue-600"
                  value="Save Changes">
              </div>
            </div>
          </div>
        </div>
      </div>
      <?php
      } else {
        $sectionText = 'Get the control of ChatGPT for WordPress';
        $sectionImage = 'https://' . $_SERVER['HTTP_HOST'] . '/wp-content/plugins/opengraphy-chatgpt/includes/assets/logo/antoinegoons_A_robot_portrait_in_the_style_of_Giuseppe_Arcimbol_af22fb3f-b11b-4a87-be21-20b8657a4a4d-removebg-preview.png';
        $screenshotExample = '<img src="https://' . $_SERVER['HTTP_HOST'] . '/wp-content/plugins/opengraphy-chatgpt/includes/assets/logo/advanced-screenshot.webp" alt="Prompt Example" class="w-1/3 m-auto mt-4 shadow-xl"/>';;
        // Display message for free users
        include_once(plugin_dir_path( dirname( __FILE__ ) ) . 'blocks/subscribers-page.php');
      }
      ?>
    </div>
  </div>
</form>