<?php

// submit api key
add_action('wp_ajax_seo_rewriter_submit_api_key', 'seo_rewriter_submit_api_key');
function seo_rewriter_submit_api_key() {
    parse_str($_POST['data'], $data);
    $api_key = $data['seo_rewriter_openai_api_key'];
    update_option('seo_rewriter_openai_api_key', encrypt_api_key($api_key));

    wp_send_json_success($_POST);
}


// submit advanced settings
add_action('wp_ajax_seo_rewriter_submit_advanced_settings', 'seo_rewriter_submit_advanced_settings');
function seo_rewriter_submit_advanced_settings() {
  parse_str($_POST['data'], $data);

  substr_count($data['seo_rewriter_creativity_level'], $data['seo_rewriter_creativity_level']);

  foreach ($data as $key => $value) {
    if (strpos($key, 'seo_rewriter_') !== false) {
      update_option($key, $value);
    }
  }

  foreach ($data['seo_rewriter_model'] as $key => $value) {
    if (strpos($key, 'seo_rewriter_model') !== false) {
      update_option($key, $value);
    }
  }
  wp_send_json_success($data);
}

// delete prompt
add_action('wp_ajax_seo_rewriter_delete_prompt', 'seo_rewriter_delete_prompt');
function seo_rewriter_delete_prompt(){
  $type = sanitize_text_field($_POST['type']);
  $prompt = sanitize_textarea_field($_POST['prompt_id']);
   // Retrieve the current prompts from the database
   $option_name = $type === 'title' ? 'seo_rewriter_title_prompts' : 'seo_rewriter_content_prompts';
   $prompts = get_option($option_name, array());

   // Check if the prompt with the given ID exists
  if ( isset( $prompts ) ) {
      // Remove the prompt from the prompts array
      unset( $prompts[$_POST['prompt_id']] );

      // Update the prompts in the database
      update_option($option_name, $prompts);

      // Return a success message to the client-side
      wp_send_json_success( array( 'message' => 'Prompt deleted successfully.' ) );
  } else {
      // Return an error message to the client-side
      wp_send_json_error( array( 'message' => 'Prompt not found.' ) );
  }
}

// save prompt
add_action('wp_ajax_seo_rewriter_save_prompt', 'seo_rewriter_save_prompt');
function seo_rewriter_save_prompt() {
    
  $type = sanitize_text_field($_POST['type']);
  $prompt = sanitize_textarea_field($_POST['prompt']);

  
  $option_name = $type === 'title' ? 'seo_rewriter_title_prompts' : 'seo_rewriter_content_prompts';
  
  $prompts = get_option($option_name, array());
  $prompts[] = $prompt;
  
  update_option($option_name, $prompts);
  
  wp_send_json_success();
}

add_action('wp_ajax_seo_rewriter_submit_license_key', 'seo_rewriter_submit_license_key');

function seo_rewriter_submit_license_key() {
    parse_str($_POST['data'], $data);
    $license_key = $data['chat_gpt_license_key'];
    update_option('chat_gpt_license_key', $license_key);
    check_license_key(true);
    wp_send_json_success($license_key);
}

