<?php 
  require_once( plugin_dir_path( dirname( __FILE__ ) ) . 'openai-api.php' );
  require_once( plugin_dir_path( dirname( __FILE__ ) ) . 'functions.php' );

  // TODO try catch on this
  $openAiUsage = openai_usage();
  // count total of n_generated_tokens_total
  $n_generated_tokens_total = 0;
  if(isset($openAiUsage) && isset($openAiUsage['data'])) {
    foreach($openAiUsage['data'] as $key => $value) {
      $n_generated_tokens_total += $value['n_generated_tokens_total'];
    }
  }
?>
<?=getOGHead();?>

<body>
  <?=generate_header();?>
  <div class="relative isolate overflow-hidden bg-white py-24 sm:py-12 -ml-5">
    <div
      class="absolute -top-80 left-[max(6rem,33%)] -z-10 transform-gpu blur-3xl sm:left-1/2 md:top-20 lg:ml-20 xl:top-3 xl:ml-56"
      aria-hidden="true">
      <div class="aspect-[801/1036] w-[50.0625rem] bg-gradient-to-tr from-[#ff80b5] to-[#9089fc] opacity-30"
        style="clip-path: polygon(63.1% 29.6%, 100% 17.2%, 76.7% 3.1%, 48.4% 0.1%, 44.6% 4.8%, 54.5% 25.4%, 59.8% 49.1%, 55.3% 57.9%, 44.5% 57.3%, 27.8% 48%, 35.1% 81.6%, 0% 97.8%, 39.3% 100%, 35.3% 81.5%, 97.2% 52.8%, 63.1% 29.6%)">
      </div>
    </div>
    <div class="mx-auto px-6 lg:px-8">
      <div class="mx-auto max-w-2xl lg:mx-0">
        <h1 class="text-lg font-semibold leading-8 tracking-tight text-blue-600">OpenAI API Key</h1>
        <p class="mt-2 text-xl font-base tracking-tight text-gray-900 sm:text-xl">To use the OpenGraphy ChatGPT plugin,
          you need an OpenAI API key. Please follow these steps to obtain one:</p>
      </div>
      <div
        class="mx-auto mt-16 grid max-w-2xl grid-cols-1 gap-x-8 gap-y-16 lg:mx-0 lg:mt-10 lg:max-w-none lg:grid-cols-12">
        <div class="relative lg:order-last lg:col-span-5">
          <svg
            class="absolute -top-[40rem] left-1 -z-10 h-[64rem] w-[175.5rem] -translate-x-1/2 stroke-gray-900/10 [mask-image:radial-gradient(64rem_64rem_at_111.5rem_0%,white,transparent)]"
            aria-hidden="true">
            <defs>
              <pattern id="e87443c8-56e4-4c20-9111-55b82fa704e3" width="200" height="200" patternUnits="userSpaceOnUse">
                <path d="M0.5 0V200M200 0.5L0 0.499983" />
              </pattern>
            </defs>
            <rect width="100%" height="100%" stroke-width="0" fill="url(#e87443c8-56e4-4c20-9111-55b82fa704e3)" />
          </svg>

          <figure class="border-l border-blue-600 pl-8">
            <form id="seo_rewriter_api_key">
              <div class="mb-6">
                <label for="email" class="block mb-2 text-sm font-medium text-gray-900">Your API Key</label>
                <input type="password" name="seo_rewriter_openai_api_key"
                  value="<?php echo esc_attr(decrypt_api_key(get_option('seo_rewriter_openai_api_key'))); ?>"
                  class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" />
              </div>

              <input type="submit" name="submit" id="submit-api-key"
                class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm w-full sm:w-auto px-5 py-2.5 text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"
                value="Save Changes">
            </form>
            <?php if(!empty($openAiUsage['data'])) { ?>
            <div class="mt-10">
              <h2><strong>Today OpenAi Usage</strong></h2>
              <p>
                <strong>Number of calls:</strong> <?=count($openAiUsage['data']);?>
              </p>
              <p>
                <strong>Token spent:</strong> <?=$n_generated_tokens_total;?>
              </p>

            </div>
            <?php } ?>
          </figure>
        </div>
        <div class="max-w-xl text-base leading-7 text-gray-700 lg:col-span-5">
          <ul role="list" class="m-7 max-w-xl space-y-8 text-gray-600">
            <li class="flex gap-x-3">
              <svg class="mt-1 h-5 w-5 flex-none text-blue-600" viewBox="0 0 20 20" fill="currentColor"
                aria-hidden="true">
                <path fill-rule="evenodd"
                  d="M5.5 17a4.5 4.5 0 01-1.44-8.765 4.5 4.5 0 018.302-3.046 3.5 3.5 0 014.504 4.272A4 4 0 0115 17H5.5zm3.75-2.75a.75.75 0 001.5 0V9.66l1.95 2.1a.75.75 0 101.1-1.02l-3.25-3.5a.75.75 0 00-1.1 0l-3.25 3.5a.75.75 0 101.1 1.02l1.95-2.1v4.59z"
                  clip-rule="evenodd" />
              </svg>
              <span><strong class="font-semibold text-gray-900">Go to </strong> <a
                  href="https://beta.openai.com/signup/" target="_blank">https://beta.openai.com/signup/</a> and sign up
                for an account.</span>
            </li>
            <li class="flex gap-x-3">
              <svg class="mt-1 h-5 w-5 flex-none text-blue-600" viewBox="0 0 20 20" fill="currentColor"
                aria-hidden="true">
                <path fill-rule="evenodd"
                  d="M10 1a4.5 4.5 0 00-4.5 4.5V9H5a2 2 0 00-2 2v6a2 2 0 002 2h10a2 2 0 002-2v-6a2 2 0 00-2-2h-.5V5.5A4.5 4.5 0 0010 1zm3 8V5.5a3 3 0 10-6 0V9h6z"
                  clip-rule="evenodd" />
              </svg>
              <span><strong class="font-semibold text-gray-900">After signing up,</strong> visit the API key section in
                your OpenAI account dashboard.</span>
            </li>
            <li class="flex gap-x-3">
              <svg class="mt-1 h-5 w-5 flex-none text-blue-600" viewBox="0 0 20 20" fill="currentColor"
                aria-hidden="true">
                <path
                  d="M4.632 3.533A2 2 0 016.577 2h6.846a2 2 0 011.945 1.533l1.976 8.234A3.489 3.489 0 0016 11.5H4c-.476 0-.93.095-1.344.267l1.976-8.234z" />
                <path fill-rule="evenodd"
                  d="M4 13a2 2 0 100 4h12a2 2 0 100-4H4zm11.24 2a.75.75 0 01.75-.75H16a.75.75 0 01.75.75v.01a.75.75 0 01-.75.75h-.01a.75.75 0 01-.75-.75V15zm-2.25-.75a.75.75 0 00-.75.75v.01c0 .414.336.75.75.75H13a.75.75 0 00.75-.75V15a.75.75 0 00-.75-.75h-.01z"
                  clip-rule="evenodd" />
              </svg>
              <span><strong class="font-semibold text-gray-900">Copy </strong>the API key and paste it in the field
                below.</span>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</body>
<?php
  // TODO try catch on this
  $openAiUsage = openai_usage();
  // count total of n_generated_tokens_total
  $n_generated_tokens_total = 0;
  if(isset($openAiUsage) && isset($openAiUsage['data'])) {
    foreach($openAiUsage['data'] as $key => $value) {
      $n_generated_tokens_total += $value['n_generated_tokens_total'];
    }
  }
?>