<?=getOGHead();?>

<style>
#seo_rewriter_title_prompts_list,
#seo_rewriter_content_prompts_list {
  max-width: 100%;
  height: 300px;
  min-height: 300px;
  /* overflow-y: scroll; */
}

.list-group-item {
  padding: 30px 10px;
}
</style>


<?=generate_header();?>

<?php
if(is_subscription_active()) {
  ?>
<div class="relative isolate overflow-hidden bg-white py-24 sm:py-12 -ml-5">
  <div
    class="absolute -top-80 left-[max(6rem,33%)] -z-10 transform-gpu blur-3xl sm:left-1/2 md:top-20 lg:ml-20 xl:top-3 xl:ml-56"
    aria-hidden="true">
    <div class="aspect-[801/1036] w-[50.0625rem] bg-gradient-to-tr from-[#ff80b5] to-[#9089fc] opacity-30"
      style="clip-path: polygon(63.1% 29.6%, 100% 17.2%, 76.7% 3.1%, 48.4% 0.1%, 44.6% 4.8%, 54.5% 25.4%, 59.8% 49.1%, 55.3% 57.9%, 44.5% 57.3%, 27.8% 48%, 35.1% 81.6%, 0% 97.8%, 39.3% 100%, 35.3% 81.5%, 97.2% 52.8%, 63.1% 29.6%)">
    </div>
  </div>
  <div class="mx-auto px-6 lg:px-8">
    <div class="mx-auto max-w-2xl lg:mx-0">
      <h1 class="text-lg font-semibold leading-8 tracking-tight text-blue-600">1. Content Audit</h1>
      <p class="mt-2 text-xl font-base tracking-tight text-gray-900 sm:text-xl">
        <?php echo 'According to our audit, there are ' . $count_posts . ' published posts and ' . $count_pages . ' published pages that can be rewritten by the plugin.</p>';?>
      </p>
    </div>
    <br>
    <div class="mx-auto max-w-2xl lg:mx-0">
      <h1 class="text-lg font-semibold leading-8 tracking-tight text-blue-600">2. Prompt Manager</h1>
      <p class="mt-2 text-xl font-base tracking-tight text-gray-900 sm:text-xl">Add your own prompts below to manage
        your
        rewriting activities. <br>These prompts can be selected from any post edit view.</p>
    </div>

    <div
      class="mx-auto mt-16 grid max-w-2xl grid-cols-1 gap-x-8 gap-y-16 lg:mx-0 lg:mt-10 lg:max-w-none lg:grid-cols-12">
      <div class="relative lg:order-last lg:col-span-5">
        <svg
          class="absolute -top-[40rem] left-1 -z-10 h-[64rem] w-[175.5rem] -translate-x-1/2 stroke-gray-900/10 [mask-image:radial-gradient(64rem_64rem_at_111.5rem_0%,white,transparent)]"
          aria-hidden="true">
          <defs>
            <pattern id="e87443c8-56e4-4c20-9111-55b82fa704e3" width="200" height="200" patternUnits="userSpaceOnUse">
              <path d="M0.5 0V200M200 0.5L0 0.499983" />
            </pattern>
          </defs>
          <rect width="100%" height="100%" stroke-width="0" fill="url(#e87443c8-56e4-4c20-9111-55b82fa704e3)" />
        </svg>

        <figure class="border-l border-blue-600 pl-8">
          <div class="text-base leading-7 text-gray-700">
            <h3 class="text-lg font-semibold leading-8 tracking-tight text-blue-600">b. Content Prompts</h3>
            <!-- <label for="message" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Your message</label> -->
            <textarea id="seo_rewriter_content_prompt" name="seo_rewriter_content_prompt" rows="4"
              class="block p-2.5 w-full text-sm text-white bg-gray-50 rounded-lg border border-gray-300 focus:ring-blue-500 focus:border-blue-500 bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
              placeholder="Write your content prompts here..."></textarea><br>

            <button type="button" id="seo_rewriter_save_content_prompt"
              class="rounded-md bg-blue-600 px-3.5 py-2.5 text-sm font-semibold text-white shadow-sm hover:bg-blue-500 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-blue-600">Save
              Content Prompt</button>
            <div id="seo_rewriter_content_prompts_list">
              <?php
                $content_prompts = get_option('seo_rewriter_content_prompts', array());
                if (!empty($content_prompts)) {
                  echo '<ul class="space-y-1 text-gray-500 list-none list-inside dark:text-gray-400">';
                  foreach ($content_prompts as $key => $prompt) {
                      echo '<li class="px-4 py-4">' . esc_html($prompt) . '<button type="button" class="pull-right delete-prompt rounded-md bg-red-600 px-3.5 py-2.5 text-sm font-semibold text-white shadow-sm hover:bg-blue-500 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-blue-600" data-type="content" data-prompt-id="' . esc_attr($key) . '">Delete</button></li>';
                  }
                  echo '</ul>';
                } else {
                  echo '<p>No content prompts found.</p>';
                }
                ?>
            </div>
          </div>
        </figure>
      </div>
      <div class="max-w-xl text-base leading-7 text-gray-700 lg:col-span-5">
        <h3 class="text-lg font-semibold leading-8 tracking-tight text-blue-600">a. Title Prompts</h3>
        <textarea id="seo_rewriter_title_prompt" name="seo_rewriter_title_prompt" rows="4"
          class="block p-2.5 w-full text-sm text-white bg-gray-50 rounded-lg border border-gray-300 focus:ring-blue-500 focus:border-blue-500 bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
          placeholder="Write your title prompts here..."></textarea><br>

        <button type="button" id="seo_rewriter_save_title_prompt"
          class="rounded-md bg-blue-600 px-3.5 py-2.5 text-sm font-semibold text-white shadow-sm hover:bg-blue-500 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-blue-600">Save
          Title Prompt</button>
        <div id="seo_rewriter_title_prompts_list">
          <?php
            $title_prompts = get_option('seo_rewriter_title_prompts', array());
            if (!empty($title_prompts)) {
              echo '<ul class="space-y-1 text-gray-500 list-none list-inside dark:text-gray-400">';
              foreach ($title_prompts as $key => $prompt) {
                echo '<li class="px-4 py-4">' . esc_html($prompt) . '<button type="button" class="pull-right delete-prompt rounded-md bg-red-600 px-3.5 py-2.5 text-sm font-semibold text-white shadow-sm hover:bg-blue-500 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-blue-600" data-type="title" data-prompt-id="' . esc_attr($key) . '">Delete</button></li>';
              }
              echo '</ul>';
            } else {
              echo '<p>No title prompts found.</p>';
            }
          ?>
        </div>
      </div>
    </div>
  </div>
</div>
<?php
} else {
  $sectionText = 'Manage your own custom prompts';
  $sectionImage = 'https://' . $_SERVER['HTTP_HOST'] . '/wp-content/plugins/opengraphy-chatgpt/includes/assets/logo/prompt-robot.png';
  $screenshotExample = '<img src="https://' . $_SERVER['HTTP_HOST'] . '/wp-content/plugins/opengraphy-chatgpt/includes/assets/logo/prompt-example.webp" alt="Prompt Example" class="w-3/4 m-auto shadow-xl"/>';
  // Display template for free users
  include_once(plugin_dir_path( dirname( __FILE__ ) ) . 'blocks/subscribers-page.php');
}
?>